import { AbstractModelDB } from "@canvas-js/modeldb";
export declare class MerkleIndex {
    readonly db: AbstractModelDB;
    static defaultPageSize: number;
    constructor(db: AbstractModelDB);
    entries(options?: {
        pageSize?: number;
    }): AsyncIterable<[Uint8Array, {
        hash: Uint8Array;
    }]>;
    private static encodeNodeId;
    private static encodeNode;
    private static decodeNode;
}
